NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder Class Reference

Represents a NXOpen.GeometricAnalysis.SurfaceContinuityAnalysis builder More...

Inheritance diagram for NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CurvatureType { Sectional, Gaussian, Mean, Absolute }
 Curvature types More...
 
enum  ReportingType { Analysis, Pair }
 Reporting types More...
 
enum  Types { EdgeToEdge, EdgeToFace, MultiFace }
 Two possible types for the dialog More...
 

Public Member Functions

unsafe void DeselectFirstEdgeFace (NXOpen.DisplayableObject edge, NXOpen.DisplayableObject face)
 Deselection of first edge or face More...
 
unsafe void DeselectSecondEdgeFace (NXOpen.DisplayableObject edge, NXOpen.DisplayableObject face)
 Deselection of second edge or face More...
 
unsafe NXOpen.Face[] GetFace1Array ()
 Returns the edge1 array not used More...
 
unsafe void SelectFirstEdgeFace (NXOpen.DisplayableObject edge, NXOpen.DisplayableObject face)
 Selection of first edge or face More...
 
unsafe void SelectSecondEdgeFace (NXOpen.DisplayableObject edge, NXOpen.DisplayableObject face)
 Selection of second edge or face More...
 
unsafe void UpdateFace (NXOpen.Face face, NXOpen.Point3d selectionPoint)
 User selects or deselects face, update builder m_edge2, m_face2 More...
 
unsafe void UpdateFirstEdgeFace (NXOpen.DisplayableObject edgeOrFace, NXOpen.Point3d selectionPoint)
 The user selects or deselects first edge or face, update builder m_edge1, m_face1 More...
 
unsafe void UpdateSecondEdgeFace (NXOpen.DisplayableObject edgeOrFace, NXOpen.Point3d selectionPoint)
 User selects or deselects second edge or face, update builder m_edge2, m_face2 More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression AngularThreshold [get]
 Returns the angular threshold More...
 
unsafe
NXOpen.GeometricUtilities.CombOptionsBuilder 
CombOptions [get]
 Returns the comb display block options More...
 
unsafe
NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.CurvatureType 
CurvatureCheck [get, set]
 Returns or sets the curvature check More...
 
unsafe NXOpen.Expression DistanceThreshold [get]
 Returns the distance threshold More...
 
unsafe
NXOpen.Features.GeometricConstraintDataManager 
DynamicLabel [get]
 Returns the constraint manager More...
 
unsafe NXOpen.SelectNXObjectList Face [get]
 Returns the (second) faces. More...
 
unsafe NXOpen.SelectNXObjectList FirstEdge [get]
 Returns the first edges or faces More...
 
unsafe bool G0 [get, set]
 Returns or sets the g0 toggle More...
 
unsafe double G0Tolerance [get, set]
 Returns or sets the g0 tolerance More...
 
unsafe bool G1 [get, set]
 Returns or sets the g1 toggle More...
 
unsafe double G1Tolerance [get, set]
 Returns or sets the g1 tolerance More...
 
unsafe bool G2 [get, set]
 Returns or sets the g2 toggle More...
 
unsafe double G2Tolerance [get, set]
 Returns or sets the g2 tolerance More...
 
unsafe bool G3 [get, set]
 Returns or sets the g3 toggle More...
 
unsafe double G3Tolerance [get, set]
 Returns or sets the g3 tolerance More...
 
unsafe NXOpen.SelectNXObjectList MultiFace [get]
 Returns the objects for multi-face More...
 
unsafe int ReportPer [get, set]
 Returns or sets the reporting type More...
 
unsafe NXOpen.SelectNXObjectList SecondEdge [get]
 Returns the second edges or faces. More...
 
unsafe bool ShowOutOfTolerance [get, set]
 Returns or sets the out of tolerance only flag More...
 
unsafe bool ToleranceMarkup [get, set]
 Returns or sets the tolerance markup flag More...
 
unsafe
NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.Types 
Type [get, set]
 Returns or sets the type of analysis to perform More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.GeometricAnalysis.SurfaceContinuityAnalysis builder

To create a new instance of this class, use NXOpen.GeometricAnalysis.AnalysisObjectCollection.CreateSurfaceContinuityAnalysisBuilder

Default values.

Property Value

CurvatureCheck

Sectional

G0

True

G1

False

G2

False

G3

False

Created in NX6.0.0

Member Enumeration Documentation

Curvature types

Enumerator
Sectional 
Gaussian 
Mean 
Absolute 

Reporting types

Enumerator
Analysis 
Pair 

Two possible types for the dialog

Enumerator
EdgeToEdge 
EdgeToFace 
MultiFace 

Member Function Documentation

unsafe void NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.DeselectFirstEdgeFace ( NXOpen.DisplayableObject  edge,
NXOpen.DisplayableObject  face 
)
inline

Deselection of first edge or face

Created in NX11.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
edge
face
unsafe void NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.DeselectSecondEdgeFace ( NXOpen.DisplayableObject  edge,
NXOpen.DisplayableObject  face 
)
inline

Deselection of second edge or face

Created in NX11.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
edge
face
unsafe NXOpen.Face [] NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.GetFace1Array ( )
inline

Returns the edge1 array not used

Created in NX6.0.0

License requirements: None.

Returns
unsafe void NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.SelectFirstEdgeFace ( NXOpen.DisplayableObject  edge,
NXOpen.DisplayableObject  face 
)
inline

Selection of first edge or face

Created in NX11.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
edge
face
unsafe void NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.SelectSecondEdgeFace ( NXOpen.DisplayableObject  edge,
NXOpen.DisplayableObject  face 
)
inline

Selection of second edge or face

Created in NX11.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
edge
face
unsafe void NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.UpdateFace ( NXOpen.Face  face,
NXOpen.Point3d  selectionPoint 
)
inline

User selects or deselects face, update builder m_edge2, m_face2

Created in NX6.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
face
selectionPoint
unsafe void NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.UpdateFirstEdgeFace ( NXOpen.DisplayableObject  edgeOrFace,
NXOpen.Point3d  selectionPoint 
)
inline

The user selects or deselects first edge or face, update builder m_edge1, m_face1

Created in NX6.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
edgeOrFacethe parent of Face or Edge
selectionPoint
unsafe void NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.UpdateSecondEdgeFace ( NXOpen.DisplayableObject  edgeOrFace,
NXOpen.Point3d  selectionPoint 
)
inline

User selects or deselects second edge or face, update builder m_edge2, m_face2

Created in NX6.0.0

License requirements: gateway ("UG GATEWAY")

Parameters
edgeOrFacethe parent of Face or Edge
selectionPoint

Property Documentation

unsafe NXOpen.Expression NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.AngularThreshold
get

Returns the angular threshold

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CombOptionsBuilder NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.CombOptions
get

Returns the comb display block options

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.CurvatureType NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.CurvatureCheck
getset

Returns or sets the curvature check

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: gateway ("UG GATEWAY")

unsafe NXOpen.Expression NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.DistanceThreshold
get

Returns the distance threshold

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Features.GeometricConstraintDataManager NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.DynamicLabel
get

Returns the constraint manager

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.Face
get

Returns the (second) faces.

Used only if the type is EdgeFace

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.FirstEdge
get

Returns the first edges or faces

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.G0
getset

Returns or sets the g0 toggle

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: gateway ("UG GATEWAY")

unsafe double NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.G0Tolerance
getset

Returns or sets the g0 tolerance

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: gateway ("UG GATEWAY")

unsafe bool NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.G1
getset

Returns or sets the g1 toggle

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: gateway ("UG GATEWAY")

unsafe double NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.G1Tolerance
getset

Returns or sets the g1 tolerance

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: gateway ("UG GATEWAY")

unsafe bool NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.G2
getset

Returns or sets the g2 toggle

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: gateway ("UG GATEWAY")

unsafe double NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.G2Tolerance
getset

Returns or sets the g2 tolerance

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: gateway ("UG GATEWAY")

unsafe bool NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.G3
getset

Returns or sets the g3 toggle

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: gateway ("UG GATEWAY")

unsafe double NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.G3Tolerance
getset

Returns or sets the g3 tolerance

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: gateway ("UG GATEWAY")

unsafe NXOpen.SelectNXObjectList NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.MultiFace
get

Returns the objects for multi-face

Created in NX11.0.0

License requirements: None.

unsafe int NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.ReportPer
getset

Returns or sets the reporting type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: gateway ("UG GATEWAY")

unsafe NXOpen.SelectNXObjectList NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.SecondEdge
get

Returns the second edges or faces.

Used only if the type is EdgeEdge

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.ShowOutOfTolerance
getset

Returns or sets the out of tolerance only flag

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: gateway ("UG GATEWAY")

unsafe bool NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.ToleranceMarkup
getset

Returns or sets the tolerance markup flag

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: gateway ("UG GATEWAY")

unsafe NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.Types NXOpen.GeometricAnalysis.SurfaceContinuityAnalysisBuilder.Type
getset

Returns or sets the type of analysis to perform

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: gateway ("UG GATEWAY")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.